--
-- $Id$
--

DEFINE thisfile = 'PLAT04.SQL'
DEFINE dbuser   = '^(PLAT|WO)'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- PLAT#53170: Koppelen van soort gebrek (mld_stdmelding) aan elementen obv importsheet
CREATE TABLE plat_imp_srtdeel_mlddiscipline
(
   fac_import_key     						NUMBER(10),
   ins_srtdeel_code        				VARCHAR2(10),
   ins_srtgroep_omschrijving      VARCHAR2(60),
   ins_discipline_omschrijving    VARCHAR2(60),
   mld_discipline_omschrijving    VARCHAR2(60)
);

INSERT INTO fac_import_app (fac_import_app_code, fac_import_app_oms, fac_functie_key, fac_import_app_charset, fac_import_app_prefix)
SELECT 'SRTDEEL_MLDDISC', 'Aanvullen van combinaties objectsoorten x standaard melding', fac_functie_key, 'UTF-8', 'PLAT'
FROM fac_functie
WHERE fac_functie_code = 'WEB_PRSSYS';

-- PLAT#52406: MJOB: Import van operationele resultaten (door MJOB-er zelf te doen?)

-- Sequence ins_s_ins_controlemode_key begint al met 10 (Facilitor INI script, dus 1 en 2 zijn mooi vrij).
INSERT INTO ins_controlemode (ins_controlemode_key, ins_controlemode_oms, ins_controlemode_success, ins_srtcontrole_type)
SELECT 1, 'Gereed', 1, ins_discipline_key FROM ins_tab_discipline
WHERE ins_discipline_module = 'CTR'
AND ins_discipline_omschrijving = 'Meerjaren Onderhoud'
AND ins_discipline_verwijder IS NULL;

INSERT INTO ins_controlemode (ins_controlemode_key, ins_controlemode_oms, ins_controlemode_success, ins_srtcontrole_type)
SELECT 2, 'Niet uitgevoerd', NULL, ins_discipline_key FROM ins_tab_discipline
WHERE ins_discipline_module = 'CTR'
AND ins_discipline_omschrijving = 'Meerjaren Onderhoud'
AND ins_discipline_verwijder IS NULL;

CREATE TABLE plat_imp_mjob_results
(
   fac_import_key     						NUMBER(10),
   ins_deelsrtcontrole_key 				NUMBER(10),
   uitgevoerd											NUMBER(10),
   opmerking											VARCHAR2(1000)
);

INSERT INTO fac_import_app (fac_import_app_code, fac_import_app_oms, fac_functie_key, fac_import_app_charset, fac_import_app_prefix)
SELECT 'MJOB_RESULTS', 'Verwerken van de operationele resultaten in Plato', fac_functie_key, 'UTF-8', 'PLAT'
FROM fac_functie
WHERE fac_functie_code = 'WEB_CTRUSE';

-- 39732: Conditiemeting NEN2767, nog wat terminologie
UPDATE fac_locale_xsl SET fac_locale_xsl_cust = 'Element gegevens' WHERE fac_locale_xsl_label = 'lcl_ins_frame_algemeen' AND fac_locale_xsl_lang = 'NL' AND fac_locale_xsl_module = 'ASP';
UPDATE fac_locale_xsl SET fac_locale_xsl_cust = 'Algemene elementkenmerken' WHERE fac_locale_xsl_label = 'lcl_general_properties' AND fac_locale_xsl_lang = 'NL' AND fac_locale_xsl_module = 'ASP';


--PLAT#53608: NEN2767 inspectie/gebreken import

CREATE TABLE plat_imp_nen2767_results
(
   fac_import_key     						NUMBER(10),
   alg_gebouw_code				 				VARCHAR2(12),
   ins_deel_omschrijving					VARCHAR2(60),
   mld_melding_datum							VARCHAR2(20),
   mld_melding_omschrijving				VARCHAR2(2000),
   prs_perslid_email							VARCHAR2(200),
   gebrekode											VARCHAR2(20),
   ernst													VARCHAR2(50),
   omvang													VARCHAR2(50),
   intensiteit										VARCHAR2(50),
   vg															VARCHAR2(20),
   ch															VARCHAR2(20),
   gb															VARCHAR2(20),
   tv															VARCHAR2(20),
   tk															VARCHAR2(20),
   be															VARCHAR2(20),
   foto														VARCHAR2(50),
   condscore											NUMBER(6,2),
   prioscore											NUMBER(6,2)
);

INSERT INTO fac_import_app (fac_import_app_code, fac_import_app_oms, fac_functie_key, fac_import_app_charset, fac_import_app_prefix)
SELECT 'NEN2767_RESULTS', 'Verwerken van NEN2767 gebreken/resultaten in Plato', fac_functie_key, 'UTF-8', 'PLAT'
FROM fac_functie
WHERE fac_functie_code = 'WEB_PRSSYS';


INSERT INTO fac_export_app	(fac_export_app_code, fac_export_app_flags, fac_export_app_oms, fac_export_app_timestamp,
                            fac_functie_key, fac_export_app_prefix,
                            fac_export_app_folder, fac_export_app_file_prefix, fac_export_app_postfix, fac_export_app_log_postfix)
SELECT 'NEN2767_FOTO', 2, 'Export van nog te kopieren NEN2767-bestanden aan de gebreken', 'yyyymmdd_HHMM',
fac_functie_key, 'PLAT',
'../export', 'nen2767foto_', '.bat', '.log'
FROM fac_functie
WHERE fac_functie_code = 'WEB_PRSSYS';


-- PLAT#52369: Verbeteringen in de Tobias-AX export (datatype was float, die telt niet op, currency (wat deze kolom ook is) telt wel netjes op.
UPDATE fac_usrrap_cols
SET fac_usrrap_cols_volgnr = 280,
		fac_usrrap_cols_datatype = 'currency'
WHERE fac_usrrap_cols_column_name = 'begroting'
AND fac_usrrap_key = (SELECT fac_usrrap_key FROM fac_usrrap
WHERE fac_usrrap_view_name = 'plat_v_rap_mjob_tobiasax');

-- PLAT#51326: Plato gedeelte van call PLAT#41520: Signalering op gewijzigde clusters
INSERT INTO alg_kenmerk (alg_kenmerk_key, alg_kenmerk_niveau, alg_kenmerk_volgnr, alg_kenmerk_omschrijving, alg_kenmerk_kenmerktype, alg_kenmerk_nmin, alg_kenmerk_nmax, alg_kenmerk_lengte, alg_kenmerk_hint)
VALUES (6, 'G', 200, 'Cluster is gewijzigd', 'N', 0, 1, 1, 'Er is (onlangs) een wijziging bij dit cluster geweest');

--Autorisatiegroep _Admin (fac_groep_key = 2) ontnemen we WEB_MLDMSU (PLAT#53822: knop AANMAAK/AFMELDDATUM bij melding onderdrukken om niet kunnen te antedateren, slaat nergens op hier)
DELETE FROM  fac_groeprechten
WHERE fac_groep_key = 2
AND fac_functie_key = (SELECT fac_functie_key FROM fac_functie WHERE fac_functie_code = 'WEB_MLDMSU');

-- PLAT53866: In Plato de bulkactie 'Voltooien' mogelijk maken.
UPDATE ins_srtcontrole
SET ins_srtcontrole_options = 11
WHERE ins_scenario_key = 1
AND ctr_discipline_key = (SELECT MIN(ins_discipline_key)
											    FROM ctr_discipline d, ctr_disc_params dp
											    WHERE dp.ctr_ins_discipline_key = d.ins_discipline_key
											    AND d.ins_discipline_verwijder IS NULL
											    AND dp.ctr_disc_params_ismjob = 1);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile


--Plato algemeen
@plat.sql
